export interface HtSensorData {
    batteryLow: boolean;
    channel: string;
    humidity: number;
    miscData1: number;
    miscData2: number;
    miscData3: number;
    rawTemp: number;
    signalQuality: number;
    tempCelsius: number;
    tempFahrenheit: number;
    validChecksum: boolean;
}
export declare enum PinSystem {
    GPIO = 0,
    PHYS = 1,
    WIRING_PI = 2,
    VIRTUAL = 2
}
export declare type HtSensorDataCallback = (data: HtSensorData) => void;
export declare function addSensorDataListener(pin: number | string, callback: HtSensorDataCallback): number;
export declare function addSensorDataListener(pin: number, pinSystem: PinSystem, callback: HtSensorDataCallback): number;
export declare function removeSensorDataListener(callbackId: number): void;
export declare function convertPin(pin: number, pinSystemFrom: PinSystem, pinSystemTo: PinSystem): number;
export declare function convertPin(gpioPin: number, pinSystemTo: PinSystem): number;
export declare function convertPin(pin: string, pinSystemTo: PinSystem): number;
